Skip to main content
`Ctrl`+`K`
scipy.interpolate.BPoly.

# derivative

BPoly.derivative(nu=1)

  Construct a new piecewise polynomial representing the derivative.

  Parameters:
    nu int, optional

      Order of derivative to evaluate. Default is 1, i.e., compute the first derivative. If negative, the antiderivative is returned.

  Returns:
    bp BPoly

      Piecewise polynomial of order k - nu representing the derivative of this polynomial.